Create remix music using AI models by combining multiple audio tracks.
uploadUrlList is required and must contain exactly 2 audio file URLs.customMode: true)prompt across different models:| Model | prompt Limit | style Limit |
|---|---|---|
| V4 | 3000 characters | 200 characters |
| V4_5 and V4_5PLUS | 5000 characters | 1000 characters |
| V4_5ALL | 5000 characters | 1000 characters |
| V5 and V5_5 | 5000 characters | 1000 characters |
title length limit: 80 characters (all models).customMode: false)prompt length limit: 500 characters.instrumental: Whether to generate instrumental music.customMode: false, which is simpler.text (text generation), first (first track complete), complete (all complete).uploadUrlList must contain exactly 2 audio file URLs to initiate remix generation.| Parameter | Type | Description |
|---|---|---|
vocalGender | string | Vocal gender preference. m for male, f for female. Note: This parameter only takes effect when customMode is true. In practice, this parameter only increases the probability but does not guarantee adherence to the specified vocal gender. |
styleWeight | number | Strength of adherence to style. Note: This parameter only takes effect when customMode is true. Range is 0–1, with two decimal places. Example: 0.61. |
weirdnessConstraint | number | Creativity/discreteness level. Note: This parameter only takes effect when customMode is true. Range is 0–1, with two decimal places. Example: 0.72. |
audioWeight | number | Weight of audio elements. Note: This parameter only takes effect when customMode is true. Range is 0–1, with two decimal places. Example: 0.65. |
curl --location --request POST 'https://api.kie.ai/api/v1/generate/mashup' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"uploadUrlList": [
"https://example.com/audio1.mp3",
"https://example.com/audio2.mp3"
],
"customMode": true,
"model": "V4",
"callBackUrl": "https://example.com/callback",
"prompt": "A calm and relaxing piano track with soft melodies",
"style": "Jazz",
"title": "Relaxing Piano",
"instrumental": true,
"vocalGender": "m",
"styleWeight": 0.61,
"weirdnessConstraint": 0.72,
"audioWeight": 0.65
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "5c79****be8e"
}
}